## ngcp-metapackages 14.0.1.1+0~mr14.0.1.1

=== debian/changelog ===
ngcp-metapackages (14.0.1.1+0~mr14.0.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:32:09 +0100

ngcp-metapackages (14.0.1.0+0~mr14.0.1.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:55:47 +0100

ngcp-metapackages (14.0.0.0+0~mr14.0.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [786495c] MT#59155 Add dependency on dctrl-tools for find-dbgsym-packages

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:44:14 +0200

ngcp-metapackages (13.5.0.0+0~mr13.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:43:19 +0200

ngcp-metapackages (13.4.0.0+0~mr13.4.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [7164e9f] MT#61319 add ngcp-logic-engine

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:27:27 +0200

ngcp-metapackages (13.3.0.0+0~mr13.3.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [fd309a0] MT#61101 Install valkey-server in ngcp-services-*
  * [8174d6a] MT#61848 Do not install percona-toolkit anymore
  * [915da30] MT#61848 Add missing mdadm dependencies for ngcp-addons-*
  * [62a5935] MT#61848 Replace telnet with inetutils-telnet
  * [3d9447f] MT#61848 Add tree to ngcp-addons-*

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 28 Jan 2025 15:14:32 +0100

ngcp-metapackages (13.2.0.0+0~mr13.2.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [74d309d] MT#61443 freeswitch-mod-xml-rpc on CE/PRO

  [ Michael Prokop ]
  * [c3cb5f8] MT#61302 Ensure to have fence-agents-common available on trixie

  [ Guillem Jover ]
  * [f50cbd5] MT#61570 Do not install obsolete haveged

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Dec 2024 11:26:31 +0100

ngcp-metapackages (13.1.0.0+0~mr13.1.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [40d1082] MT#61063 Drop dstat from ngcp-addons-ce / ngcp-addons-pro

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 01 Oct 2024 09:59:32 +0200

ngcp-metapackages (13.0.0.0+0~mr13.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jul 2024 12:02:27 +0200

ngcp-metapackages (12.5.0.0+0~mr12.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 May 2024 14:31:16 +0200

ngcp-metapackages (12.4.0.0+0~mr12.4.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [c5b6c4d] MT#57665 Install FreeSWITCH packages on CE and PRO/Carrier
  * [5492c75] MT#57665 Install freeswitch-mod-mariadb

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 15 Mar 2024 08:48:01 +0100

ngcp-metapackages (12.3.0.0+0~mr12.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Jan 2024 14:46:57 +0100

ngcp-metapackages (12.2.0.0+0~mr12.2.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [0a588f7] MT#57982 Do not install redis-server anymore
  * [5d888e2] MT#58496 Add nftable packages

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 29 Nov 2023 13:36:33 +0100

ngcp-metapackages (12.1.0.0+0~mr12.1.0.0) unstable; urgency=medium

  [ Mykola Malkov ]
  * [7daf42c] MT#57165 Install ngcp-kernel-firmware by default

  [ Guillem Jover ]
  * [1bfac0b] MT#58356 Update packaging for bookworm

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 15 Oct 2023 08:23:34 +0200

ngcp-metapackages (12.0.1.0+0~mr12.0.1.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [345565e] MT#58041 add ngcp-task-agent to ce,pro deps

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 30 Aug 2023 18:04:07 +0200

ngcp-metapackages (11.5.0.0+0~mr11.5.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [35f6c47] MT#55856 Switch from liblz4-tools to lz4
  * [19c94a0] MT#55856 Switch from ntp to ntpsec

  [ Michael Prokop ]
  * [fc3b702] MT#56541 Add yq to ngcp-addons-{ce,pro}

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 26 Jun 2023 14:10:22 +0200

ngcp-metapackages (11.4.0.0+0~mr11.4.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [e56ad16] MT#56478 Drop deprecated bootlogd package

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 24 Mar 2023 13:03:43 +0100

ngcp-metapackages (11.3.0.0+0~mr11.3.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [d092815] MT#54753 Add libldap-common to ngcp-services-pro
  * [5ccbd98] MT#56273 Remove klish support

  [ Michael Prokop ]
  * [799b67f] MT#55820 MT#55524 Depend on either asterisk-opus or recent asterisk package
  * [affbf65] MT#55889 Ensure to have gluster binary available in Debian/bookworm

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 17 Jan 2023 17:42:49 +0100

ngcp-metapackages (11.2.0.0+0~mr11.2.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [ecde772] MT#54753 Add packages required for sssd operation

  [ Michael Prokop ]
  * [939c3ab] MT#54753 Replace sssd-sudo with libsss-sudo

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 04 Oct 2022 13:50:36 +0200

ngcp-metapackages (11.1.0.0+0~mr11.1.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [0fb811c] TT#179901 Discontinue iNew dedicated features and code

  [ Victor Seva ]
  * [f7b9d8f] TT#185900 add support for opus on asterisk
  * [baae951] TT#187100 add support for G.729 on asterisk

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 22 Aug 2022 20:01:17 +0200

ngcp-metapackages (11.0.0.0+0~mr11.0.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [9275ae6] TT#174750 Switch the HA dependencies to corosync/pacemaker
  * [97dc9d9] TT#175000 Add an explicit dependency on coturn to ngcp-services-pro

  [ Alexander Lutay ]
  * [f67dff1] TT#175000 Remove rtcengine and janus support

  [ Donat Zenichev ]
  * [c347cc4] TT#174554 Remove 'sems-modules' as a dependency for cloudpbx-pro

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 07 Jun 2022 11:43:09 +0200


