=== debian/control ===
Source: ngcp-metapackages
Section: metapackages
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://www.sipwise.com/

Package: ngcp-linux-amd64
Architecture: all
Depends:
 linux-headers-amd64,
 linux-image-amd64 (>= 4.17),
Description: metapackage for NGCP Linux amd64 kernels
 This metapackage installs the NGCP kernel for the Linux amd64 architecture
 and the matching headers to be able to build kernel modules.

Package: ngcp-linux-cloud-amd64
Architecture: all
Depends:
 linux-headers-cloud-amd64,
 linux-image-cloud-amd64 (>= 4.17),
Description: metapackage for NGCP Linux cloud amd64 kernels
 This metapackage installs the NGCP kernel for the Linux cloud amd64
 architecture and the matching headers to be able to build kernel modules.

Package: ngcp-config-pro
Architecture: all
Depends:
 ngcp-cfg-schema,
 ngcp-cfg-validate-pro,
 ngcp-db-schema (>= 3.0.0~),
 ngcp-handbook-pro,
 ngcp-ngcpcfg,
 ngcp-ngcpcfg-ha,
 ngcp-ngcpcfg-locker,
 ngcp-support-access | ngcp-support,
 ngcp-templates-pro,
 ${misc:Depends},
Provides:
 ngcp-config,
Conflicts:
 ngcp-config,
Replaces:
 ngcp-config,
Description: Metapackage for NGCP configuration system
 This metapackage installs the ngcp configuration system for the
 NGCP sip:provider PRO.

Package: ngcp-config-ce
Architecture: all
Depends:
 ngcp-cfg-schema,
 ngcp-cfg-validate-ce,
 ngcp-db-schema (>= 3.0.0~),
 ngcp-handbook-ce,
 ngcp-ngcpcfg,
 ngcp-ngcpcfg-locker,
 ngcp-support-access | ngcp-support,
 ngcp-templates-ce,
 ${misc:Depends},
Provides:
 ngcp-config,
Conflicts:
 ngcp-config,
Replaces:
 ngcp-config,
Description: Metapackage for NGCP configuration system
 This metapackage installs the ngcp configuration system for the
 NGCP sip:provider CE.

Package: ngcp-cloudpbx-pro
Architecture: all
Depends:
 ngcp-cloudpbx-devices-pro,
 ngcp-sems-pbx,
 ngcp-templates-pro,
 ${misc:Depends},
Provides:
 ngcp-cloudpbx,
Conflicts:
 ngcp-cloudpbx,
Replaces:
 ngcp-cloudpbx,
Description: Metapackage for Sipwise's NGCP CloudPBX
 This metapackage installs all the packages needed in a NGCP
 sip:provider CloudPBX PRO environment.

Package: ngcp-ngcp-pro
Architecture: all
Depends:
 ngcp-addons-pro,
 ngcp-archive-keyring,
 ngcp-cloudpbx-pro,
 ngcp-config-pro,
 ngcp-kernel-firmware,
 ngcp-services-pro,
 ${misc:Depends},
Provides:
 ngcp-ngcp,
 ngcp-ngcp-carrier,
Conflicts:
 ngcp-ngcp,
 ngcp-ngcp-carrier,
Replaces:
 ngcp-ngcp,
 ngcp-ngcp-carrier,
Description: Metapackage for Sipwise's NGCP
 This metapackage installs all the packages needed in a NGCP
 sip:provider PRO and Carrier environment.

Package: ngcp-ngcp-ce
Architecture: all
Depends:
 ngcp-addons-ce,
 ngcp-archive-keyring | ngcp-keyring,
 ngcp-config-ce,
 ngcp-kernel-firmware,
 ngcp-services-ce,
 ${misc:Depends},
Provides:
 ngcp-ngcp,
Conflicts:
 ngcp-ngcp,
Replaces:
 ngcp-ngcp,
Description: Metapackage for Sipwise's NGCP
 This metapackage installs all the packages needed in a NGCP
 sip:provider CE environment.

Package: ngcp-addons-pro
Architecture: all
Conflicts:
 ngcp-addons,
Replaces:
 ngcp-addons,
Provides:
 ngcp-addons,
Depends:
 acpi,
 acpi-support-base,
 apt-utils,
 aptitude,
 bash-completion,
 bind9-host | host,
 bridge-utils,
 ca-certificates,
 dctrl-tools,
 debian-goodies,
 elfutils,
 gdb,
 gdisk,
 ifenslave,
 ifrename,
 iftop,
 inetutils-telnet | telnet-ssl,
 iotop,
 ipcalc,
 ipmitool,
 iputils-ping,
 irqbalance,
 ledmon,
 less,
 libfile-slurper-perl,
 libfile-which-perl,
 libngcp-bulkprocessor-projects-perl,
 lnav,
 locales-all,
 lsb-release,
 lsof,
 man-db,
 mdadm,
 moreutils,
 nano,
 ngcp-inventory-pro,
 ngcp-linux-amd64 | ngcp-linux-cloud-amd64,
 ngcp-sudo-plugin-pro,
 ngrep-sip,
 openipmi,
 openvpn,
 pciutils,
 perl-doc,
 rename,
 ripgrep,
 rsync,
 screen,
 sharutils,
 sngrep,
 snmp,
 strace,
 sudo,
 sysstat,
 tcpdump,
 tmux,
 tree,
 tshark,
 usbutils,
 vim,
 vlan,
 wget,
 yq,
 ${misc:Depends},
Description: Metapackage for Add-Ons in NGCP
 This metapackage installs several add-on packages that are not necessary as
 part of normal operation, but which extend the functionality in a NGCP
 sip:provider PRO.
 .
 This is a separate package, so that in case of dependency problems during
 upgrades, it might be removed without affecting the core functionality of
 the NGCP system.

Package: ngcp-addons-ce
Architecture: all
Conflicts:
 ngcp-addons,
Replaces:
 ngcp-addons,
Provides:
 ngcp-addons,
Depends:
 acpi,
 acpi-support-base,
 apt-utils,
 aptitude,
 bash-completion,
 bind9-host | host,
 bridge-utils,
 ca-certificates,
 dctrl-tools,
 debian-goodies,
 elfutils,
 gdb,
 gdisk,
 ifenslave,
 ifrename,
 iftop,
 inetutils-telnet | telnet-ssl,
 iotop,
 ipcalc,
 iputils-ping,
 irqbalance,
 less,
 libfile-slurper-perl,
 libfile-which-perl,
 libngcp-bulkprocessor-perl,
 lnav,
 locales-all,
 lsb-release,
 lsof,
 man-db,
 mdadm,
 moreutils,
 nano,
 ngcp-deployment-scripts,
 ngcp-linux-amd64 | ngcp-linux-cloud-amd64,
 ngrep-sip,
 pciutils,
 perl-doc,
 rename,
 ripgrep,
 rsync,
 screen,
 sharutils,
 sngrep,
 strace,
 sudo,
 sysstat,
 tcpdump,
 tmux,
 tree,
 tshark,
 usbutils,
 vim,
 vlan,
 wget,
 yq,
 ${misc:Depends},
Description: Metapackage for Add-Ons in NGCP
 This metapackage installs several add-on packages that are not necessary as
 part of normal operation, but which extend the functionality in a NGCP
 sip:provider CE.
 .
 This is a separate package, so that in case of dependency problems during
 upgrades, it might be removed without affecting the core functionality of
 the NGCP system.

Package: ngcp-services-pro
Architecture: all
Depends:
 acpid,
 asterisk-g729,
 asterisk-opus | asterisk (>= 18.14.0),
 bsd-mailx | mailx,
 bzip2,
 coturn,
 crmsh,
 cron,
 dbus,
 ethtool,
 exim4,
 fence-agents-common | fence-agents,
 ffproxy,
 freeswitch,
 freeswitch-mod-callcenter,
 freeswitch-mod-cdr-csv,
 freeswitch-mod-commands,
 freeswitch-mod-conference,
 freeswitch-mod-console,
 freeswitch-mod-db,
 freeswitch-mod-dialplan-asterisk,
 freeswitch-mod-dialplan-xml,
 freeswitch-mod-dptools,
 freeswitch-mod-enum,
 freeswitch-mod-event-socket,
 freeswitch-mod-expr,
 freeswitch-mod-fifo,
 freeswitch-mod-hash,
 freeswitch-mod-local-stream,
 freeswitch-mod-logfile,
 freeswitch-mod-loopback,
 freeswitch-mod-mariadb,
 freeswitch-mod-native-file,
 freeswitch-mod-opus,
 freeswitch-mod-python3,
 freeswitch-mod-rtc,
 freeswitch-mod-say-en,
 freeswitch-mod-sndfile,
 freeswitch-mod-sofia,
 freeswitch-mod-tone-stream,
 freeswitch-mod-xml-curl,
 freeswitch-mod-xml-rpc,
 glusterfs-cli | glusterfs-server (<= 9.2-1),
 glusterfs-client,
 glusterfs-server,
 grub-efi | grub-pc,
 haproxy,
 iptables-persistent,
 kannel,
 keydb-server,
 ldap-utils,
 libavcodec-extra,
 libconfig-inifiles-perl,
 libldap-common,
 libnss-sss,
 libpam-sss,
 libpam-systemd,
 libsss-sudo,
 logrotate,
 lvm2,
 lz4,
 mariadb-client,
 mariadb-server,
 monit,
 net-tools,
 nftables,
 ngcp-admin-ui,
 ngcp-asterisk-voicemail-odbcstorage,
 ngcp-backup-tools-pro,
 ngcp-billing-tools,
 ngcp-bootenv-pro,
 ngcp-cdr-exporter,
 ngcp-check-tools,
 ngcp-cleanup-tools-pro,
 ngcp-csc-ui,
 ngcp-fauditd-pro,
 ngcp-faxserver-pro,
 ngcp-freeswitch-appserv-pro,
 ngcp-installer-pro,
 ngcp-kamailio,
 ngcp-kamailio-extra-modules,
 ngcp-kamailio-lcrrate-modules,
 ngcp-kamailio-lua-modules,
 ngcp-kamailio-mysql-modules,
 ngcp-kamailio-presence-modules,
 ngcp-kamailio-redis-modules,
 ngcp-kamailio-secsipid-modules,
 ngcp-kamailio-systemd-modules,
 ngcp-kamailio-tcap-modules,
 ngcp-kamailio-tls-modules,
 ngcp-kamailio-utils-modules,
 ngcp-kamailio-websocket-modules,
 ngcp-kamailio-xml-modules,
 ngcp-license-client,
 ngcp-linux-amd64 | ngcp-linux-cloud-amd64,
 ngcp-lnpd-pro,
 ngcp-logfs-pro,
 ngcp-logic-engine,
 ngcp-mediator,
 ngcp-monitoring-tools,
 ngcp-panel,
 ngcp-prompts-pro,
 ngcp-prosody-modules,
 ngcp-provisioning-tools,
 ngcp-pushd,
 ngcp-rate-o-mat,
 ngcp-reminder,
 ngcp-rest-api,
 ngcp-rtpengine,
 ngcp-snmp-agent,
 ngcp-status,
 ngcp-system-tests,
 ngcp-system-tools-pro,
 ngcp-task-agent,
 ngcp-upgrade-pro,
 ngcp-vmnotify,
 ngcp-voisniff-pro,
 ngcp-websocket-pro,
 nginx-light,
 pacemaker,
 prometheus,
 prometheus-haproxy-exporter,
 prometheus-mysqld-exporter,
 prometheus-nginx-exporter,
 prometheus-node-exporter,
 prometheus-process-exporter,
 prometheus-redis-exporter,
 redis-tools,
 rsyslog,
 slapd,
 smartmontools,
 snmpd,
 snmptrapd,
 ssh,
 sssd-dbus,
 sssd-ldap,
 sssd-tools,
 systemd,
 systemd-coredump,
 systemd-sysv,
 systemd-timesyncd | ntpsec,
 valkey-server,
 victoria-metrics,
 zstd,
 ${misc:Depends},
Provides:
 ngcp-services,
Conflicts:
 chrony,
 initscripts,
 insserv,
 ngcp-services,
 startpar,
 systemd-shim,
 sysv-rc,
 sysvinit-core,
Replaces:
 ngcp-services,
Description: Metapackage for NGCP services
 This metapackage installs the required services in a NGCP
 sip:provider PRO.

Package: ngcp-services-ce
Architecture: all
Depends:
 acpid,
 asterisk-g729,
 asterisk-opus | asterisk (>= 18.14.0),
 bsd-mailx | mailx,
 bzip2,
 cron,
 dbus,
 ethtool,
 freeswitch,
 freeswitch-mod-cdr-csv,
 freeswitch-mod-commands,
 freeswitch-mod-conference,
 freeswitch-mod-console,
 freeswitch-mod-db,
 freeswitch-mod-dialplan-asterisk,
 freeswitch-mod-dialplan-xml,
 freeswitch-mod-dptools,
 freeswitch-mod-enum,
 freeswitch-mod-event-socket,
 freeswitch-mod-expr,
 freeswitch-mod-fifo,
 freeswitch-mod-hash,
 freeswitch-mod-local-stream,
 freeswitch-mod-logfile,
 freeswitch-mod-loopback,
 freeswitch-mod-mariadb,
 freeswitch-mod-native-file,
 freeswitch-mod-opus,
 freeswitch-mod-python3,
 freeswitch-mod-rtc,
 freeswitch-mod-say-en,
 freeswitch-mod-sndfile,
 freeswitch-mod-sofia,
 freeswitch-mod-tone-stream,
 freeswitch-mod-xml-rpc,
 grub-efi | grub-pc,
 iptables-persistent,
 kannel,
 keydb-server,
 libavcodec-extra,
 libconfig-inifiles-perl,
 libpam-systemd,
 logrotate,
 lvm2,
 lz4,
 mariadb-client,
 mariadb-server,
 net-tools,
 nftables,
 ngcp-admin-ui,
 ngcp-asterisk-voicemail-odbcstorage,
 ngcp-billing-tools,
 ngcp-cdr-exporter,
 ngcp-check-tools,
 ngcp-cleanup-tools-ce,
 ngcp-csc-ui,
 ngcp-freeswitch-appserv-ce,
 ngcp-installer-ce,
 ngcp-kamailio,
 ngcp-kamailio-extra-modules,
 ngcp-kamailio-lcrrate-modules,
 ngcp-kamailio-lua-modules,
 ngcp-kamailio-mysql-modules,
 ngcp-kamailio-presence-modules,
 ngcp-kamailio-redis-modules,
 ngcp-kamailio-secsipid-modules,
 ngcp-kamailio-systemd-modules,
 ngcp-kamailio-tcap-modules,
 ngcp-kamailio-tls-modules,
 ngcp-kamailio-utils-modules,
 ngcp-kamailio-websocket-modules,
 ngcp-kamailio-xml-modules,
 ngcp-license-client,
 ngcp-linux-amd64 | ngcp-linux-cloud-amd64,
 ngcp-logic-engine,
 ngcp-mediator,
 ngcp-panel,
 ngcp-prompts-ce,
 ngcp-prosody-modules,
 ngcp-provisioning-tools,
 ngcp-rate-o-mat,
 ngcp-reminder,
 ngcp-rest-api,
 ngcp-rtpengine,
 ngcp-sems,
 ngcp-status,
 ngcp-system-tests,
 ngcp-system-tools-ce,
 ngcp-task-agent,
 ngcp-upgrade-ce,
 ngcp-vmnotify,
 nginx-light,
 prometheus,
 prometheus-mysqld-exporter,
 prometheus-nginx-exporter,
 prometheus-node-exporter,
 prometheus-process-exporter,
 prometheus-redis-exporter,
 redis-tools,
 rsyslog,
 smartmontools,
 ssh,
 systemd,
 systemd-coredump,
 systemd-sysv,
 systemd-timesyncd | ntpsec,
 valkey-server,
 victoria-metrics,
 zstd,
 ${misc:Depends},
Provides:
 ngcp-services,
Conflicts:
 chrony,
 initscripts,
 insserv,
 ngcp-services,
 startpar,
 systemd-shim,
 sysv-rc,
 sysvinit-core,
Replaces:
 ngcp-services,
Description: Metapackage for NGCP services
 This metapackage installs the required services in a NGCP
 sip:provider CE.
